package ccinboundrawmessage;

import java.net.URL;

import java.io.IOException;

import com.bea.wlxt.WLXTException;

import com.bea.wlxt.mfl.ParseException;

import com.bea.wlxt.mfl.NoDataException;


public final class CCInboundMessageMflObject extends com.bea.wli.variables.MflObject
{

    public static final String mflPath ="CCInboundRawMessage.mfl";
    public static final URL mflUrl = registerMfl(mflPath);


    private CCInboundMessageMflObject(java.io.InputStream data) throws IOException {
        super(data, mflUrl);
    }

    private CCInboundMessageMflObject(byte[] data)  {
        super(data, mflUrl);
    }

    private CCInboundMessageMflObject(String data)  {
        super(data, mflUrl);
    }

    private CCInboundMessageMflObject(com.bea.data.RawData data)  {
        super(data, mflUrl);
    }

    private CCInboundMessageMflObject(org.apache.xmlbeans.XmlObject data) throws WLXTException {
        super(data, mflUrl);
    }


    public ccinboundrawmessage.CCInboundMessageDocument convertToXml() throws WLXTException, NoDataException, ParseException {
        return (ccinboundrawmessage.CCInboundMessageDocument) convertToXmlObject(ccinboundrawmessage.CCInboundMessageDocument.class);
    }


    public static CCInboundMessageMflObject newInstance(java.io.InputStream data) throws IOException {
        return new CCInboundMessageMflObject(data);
    }

    public static CCInboundMessageMflObject newInstance(byte[] data)  {
        return new CCInboundMessageMflObject(data);
    }

    public static CCInboundMessageMflObject newInstance(String data)  {
        return new CCInboundMessageMflObject(data);
    }

    public static CCInboundMessageMflObject newInstance(com.bea.data.RawData data)  {
        return new CCInboundMessageMflObject(data);
    }

    public static CCInboundMessageMflObject newInstance(ccinboundrawmessage.CCInboundMessageDocument data) throws WLXTException {
        return new CCInboundMessageMflObject(data);
    }
    public String toString() {
        return super.toString();
    };
}
